    class
    	WEL_PIPE

    General
    	cluster: wel
    	description: "Windows pipe, used in WEL_PROCESS_LAUNCHER"
    	create: make_client, make_named, make

    Ancestors
    	EXCEPTIONS
    	STRING_HANDLER

    Queries
    	Duplex: INTEGER_32
    	exists: BOOLEAN
    	Inbound: INTEGER_32
    	input_closed: BOOLEAN
    	input_handle: POINTER
    	last_read_bytes: INTEGER_32
    	last_read_successful: BOOLEAN
    	last_string: STRING_GENERAL
    	last_write_successful: BOOLEAN
    	last_written_bytes: INTEGER_32
    	Outbound: INTEGER_32
    	output_closed: BOOLEAN
    	output_handle: POINTER

    Commands
    	close
    	close_input
    	close_output
    	put_string (a_string: STRING_8)
    	read_stream (count: INTEGER_32)